#ifndef PAYDIALOG_H
#define PAYDIALOG_H

#include <QDialog>
#include <QDecDouble.hh>

#include "shop_global.h"

namespace Ui {
class PayDialog;
}

class SHOPSHARED_EXPORT PayDialog : public QDialog
{
    Q_OBJECT

public:
    explicit PayDialog(QDecDouble total, QWidget *parent = 0);
    ~PayDialog();
    bool sendToEet();

private slots:

    void on_recieved_valueChanged(double value);

    void on_btnOk_clicked();

private:
    Ui::PayDialog *ui;
    QDecDouble m_total;
};

#endif // PAYDIALOG_H
